MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015200mantisbtauthenticationpublic2012-11-11 12:562013-04-06 09:23
Reportervboctor 
Assigned Tovboctor 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2.12 
Target Version1.2.12Fixed in Version1.2.12 
Summary0015200: Anonymous access is broken
DescriptionJust discovered this with the demo bug tracker. When visiting the bug tracker while not already logged in, the code detects that the anonymous user has access to a single project. It then attempts to set this on the user preference as the default project. This has two issues:

- It attempts to change preferences of a protected user, hence, causing an error.
- It generates SQL updates even if the preference is already set, hence extra load.

We should fix both.

I'm not 100% sure this repros on 1.2.11, but it didn't in the demo instance and the latest code for master-1.2.x which we are basing 1.2.12 on.
Tags2.0.x check
Attached Files

- Relationships
related to 0009826closeddregad Single project user should default to the project, not All Projects 
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 

-  Notes
User avatar (0034291)
dregad (developer)
2012-11-11 17:31

> I'm not 100% sure this repros on 1.2.11

It wouldn't - this was introduced in commit b1a1bbae (see 0009826)

Your commit should be applied to master branch too for consistency.
User avatar (0034292)
dregad (developer)
2012-11-11 18:29

Closing after repackaging of the release files
User avatar (0036143)
grangeway (developer)
2013-04-05 17:56

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

- Related Changesets
MantisBT: master-1.2.x d67c2572
Timestamp: 2012-11-11 17:57:55
Author: vboctor
Details ] Diff ]
Fixes 0015200: Anonymous access is broken.
mod - core/html_api.php Diff ] File ]
mod - core/user_pref_api.php Diff ] File ]
MantisBT: master df10efff
Timestamp: 2012-11-11 17:57:55
Author: vboctor
Committer: Damien Regad
Details ] Diff ]
Fixes 0015200: Anonymous access is broken.
mod - core/html_api.php Diff ] File ]
mod - core/user_pref_api.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-11 12:56 vboctor New Issue
2012-11-11 12:56 vboctor Status new => assigned
2012-11-11 12:56 vboctor Assigned To => vboctor
2012-11-11 12:58 vboctor Changeset attached => MantisBT master-1.2.x d67c2572
2012-11-11 12:58 vboctor Status assigned => resolved
2012-11-11 12:58 vboctor Resolution open => fixed
2012-11-11 12:58 vboctor Fixed in Version => 1.2.13
2012-11-11 17:31 dregad Note Added: 0034291
2012-11-11 17:31 dregad Relationship added related to 0009826
2012-11-11 18:26 vboctor Changeset attached => MantisBT master df10efff
2012-11-11 18:28 dregad Severity minor => major
2012-11-11 18:28 dregad Product Version => 1.2.12
2012-11-11 18:28 dregad Fixed in Version 1.2.13 => 1.2.12
2012-11-11 18:28 dregad Target Version 1.2.11 => 1.2.12
2012-11-11 18:29 dregad Note Added: 0034292
2012-11-11 18:29 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036143
2013-04-05 19:27 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:22 dregad Tag Attached: 2.0.x check
2013-04-06 09:23 dregad Status acknowledged => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1012 seconds.
memory usage: 3,069 KB
Powered by Mantis Bugtracker